package es.verdnatura.presentation.view.feature.buscaritem.model

import android.os.Build
import androidx.annotation.RequiresApi
import es.verdnatura.domain.isoToString

class ItemLocationVO @RequiresApi(Build.VERSION_CODES.O) constructor(
    var Parking: String = "",
    var Matricula: String = "",
    var visible: Int = 0,
    var itemFk: Int = 0,
    val isError: Boolean = false,
    var errorMessage: String = "",
    var priority: Int = 0

) {
     @RequiresApi(Build.VERSION_CODES.O)
   var created: String = ""
        @RequiresApi(Build.VERSION_CODES.O)
        get(){
            return field.isoToString()
        }

}

class LocationListVO(
var list: List<ItemLocationVO> = listOf()
)